{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CAT_ID"; 
            externalType = NUMBER; 
            name = catId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CRIT_CLE"; 
            externalType = VARCHAR2; 
            name = critCle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 255; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRIT_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = critCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "CRIT_ID"; 
            externalType = NUMBER; 
            name = critId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CRIT_LIBELLE"; 
            externalType = VARCHAR2; 
            name = critLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 150; 
        }, 
        {
            columnName = "CRIT_LOCAL"; 
            externalType = VARCHAR2; 
            name = critLocal; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRIT_METADATA"; 
            externalType = CLOB; 
            name = critMetadata; 
            valueClassName = NSString; 
            width = 4000; 
        }, 
        {
            columnName = "CRIT_SRCH_DISPO"; 
            externalType = VARCHAR2; 
            name = critSrchDispo; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "CRIT_STR_ID"; 
            externalType = VARCHAR2; 
            name = critStrId; 
            valueClassName = NSString; 
            valueType = S; 
            width = 255; 
        }, 
        {
            columnName = "CRIT_TYPE_SAISIE"; 
            externalType = VARCHAR2; 
            name = critTypeSaisie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "CRIT_TYPE_VALEUR"; 
            externalType = VARCHAR2; 
            name = critTypeValeur; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (critId); 
    className = "org.cocktail.fwkcktlreport.server.metier.EOCritere"; 
    classProperties = (
        critCle, 
        critCommentaire, 
        critLibelle, 
        critLocal, 
        critMetadata, 
        critSrchDispo, 
        critStrId, 
        critTypeSaisie, 
        critTypeValeur, 
        toCategorie
    ); 
    externalName = "cktl_report.CRITERE"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkCktlReport_Critere"; 
    primaryKeyAttributes = (critId); 
    relationships = (
        {
            destination = "FwkCktlReport_Categorie"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = catId; sourceAttribute = catId; }); 
            name = toCategorie; 
        }
    ); 
}
